Bug 1652583 (CVE-2018-19409) - CVE-2018-19409 ghostscript: Improperly implemented security check in zsetdevice function in psi/zdevice.c
Summary: CVE-2018-19409 ghostscript: Improperly implemented security check in zsetdevi...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-19409
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1652584 1652935 1652936 1652937
Blocks: 1652585
TreeView+ depends on / blocked
 
Reported: 2018-11-22 12:27 UTC by Pedro Sampaio
Modified: 2019-09-29 15:03 UTC (History)
6 users (show)

Fixed In Version: ghostscript 9.26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-18 08:36:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3834 None None None 2018-12-17 19:58:26 UTC

Description Pedro Sampaio 2018-11-22 12:27:30 UTC
An issue was discovered in Artifex Ghostscript before 9.26. LockSafetyParams is not checked correctly if another device is used.

Upstream bug:

https://bugs.ghostscript.com/show_bug.cgi?id=700176

Upstream patch:

https://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=661e8d8fb
https://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=ea1b3ef43

References:

https://www.ghostscript.com/doc/9.26/History9.htm#Version9.26

Comment 1 Pedro Sampaio 2018-11-22 12:27:53 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1652584]

Comment 6 errata-xmlrpc 2018-12-17 19:58:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3834 https://access.redhat.com/errata/RHSA-2018:3834

Comment 7 Cedric Buissart 🐶 2018-12-18 08:36:48 UTC
Mitigation:

Please refer to the "Mitigation" section of CVE-2018-16509 : https://access.redhat.com/security/cve/cve-2018-16509

Comment 8 Cedric Buissart 🐶 2018-12-18 08:41:37 UTC
Statement:

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Important, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.